<?php
	session_start();
    $idusuario = $_SESSION['idusuario'];    
    $id_bodega = $_SESSION['id_bodega'];
    $id_daientrada = $_SESSION['id_daientrada'];
    $id_solicitudprevia = $_SESSION['id_solicitudprevia'];
	$condicion = 1;
	$regimen = "Simple";
	$estado =1;
	$cantidad =1;
	$id_ubicacion =1;
	include ("../conex.php");
		
	include "class.upload.php";
	//include "database.php";
	
	$consultadai = mysqli_query($conn,"select id_bodega
								from tb_usuario 
								where idusuario = $idusuario");
								
    if($row = mysqli_fetch_array($consultadai))
    {
        $id_bodega = $row['id_bodega'];       
	}
	
	if(isset($_FILES["name"]))
	{
	
		$up = new Upload($_FILES["name"]);
		if($up->uploaded)
		{
			$up->Process("./uploads/");
			if($up->processed)
			{
				/// leer el archivo excel
				require_once 'PHPExcel/Classes/PHPExcel.php';
				$archivo = "uploads/".$up->file_dst_name;
				$inputFileType = PHPExcel_IOFactory::identify($archivo);
				$objReader = PHPExcel_IOFactory::createReader($inputFileType);
				$objPHPExcel = $objReader->load($archivo);
				$sheet = $objPHPExcel->getSheet(0); 
				$highestRow = $sheet->getHighestRow(); 
				$highestColumn = $sheet->getHighestColumn();
				for ($row = 2; $row <= $highestRow; $row++)
				{ 
					$x_origen = $sheet->getCell("A".$row)->getValue();
					$x_marca = $sheet->getCell("B".$row)->getValue();
					$x_modelo = $sheet->getCell("C".$row)->getValue();
					$x_color = $sheet->getCell("D".$row)->getValue();
					$x_chasis = $sheet->getCell("E".$row)->getValue();
					$x_motor = $sheet->getCell("F".$row)->getValue();
					$x_impronta = $sheet->getCell("G".$row)->getValue();
										
					$sql = "insert into tb_datadai (origen, impronta, marca, modelo, color, chasis, motor, dai, id_daientrada, id_solicitudprevia, id_estado, cantidad, condicion, id_ubicacion, id_bodega, created_at) value ";
					$sql .= "(\"$x_origen\",\"$x_impronta\",\"$x_marca\",\"$x_modelo\",\"$x_color\",\"$x_chasis\",\"$x_motor\",\"$regimen\",\"$id_daientrada\",\"$id_solicitudprevia\",\"$estado\",\"$cantidad\",\"$condicion\",\"$id_ubicacion\",\"$id_bodega\", NOW())";
					$conn->query($sql);
					
				}
				unlink($archivo);
			}
			
		}
	}
	echo '<script> history.back();</script>';
?>
